gstreamermm: Gst::TocEntry Class Reference

gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::TocEntry Class Reference
Inheritance diagram for Gst::TocEntry:
[legend]
Collaboration diagram for Gst::TocEntry:
[legend]

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstTocEntry* | gobj ()
| Provides access to the underlying C instance. More...
const GstTocEntry* | gobj () const
| Provides access to the underlying C instance. More...
GstTocEntry* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
TocEntryType | get_entry_type ()
Glib::ustring | get_uid ()
| Gets the UID of entry. More...
void | append_sub_entry (Glib::RefPtr< Gst::TocEntry > entry)
| Appends the Gst::TocEntry subentry to entry. More...
bool | is_alternative ()
bool | is_alternative () const
bool | is_sequence ()
bool | is_sequence () const
Glib::RefPtr< Gst::TocEntry > | get_parent ()
| Gets the parent Gst::TocEntry of entry. More...
void | set_start_stop_times (gint64 start, gint64 stop)
| Set start and stop values for the entry. More...
bool | get_start_stop_times (gint64& start, gint64& stop)
| Get start and stop values from the entry and write them into appropriate storages. More...
bool | get_start_stop_times (gint64& start, gint64& stop) const
| Get start and stop values from the entry and write them into appropriate storages. More...
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Protected Member Functions
| TocEntry ()
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
| MiniObject ()
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::TocEntry > | wrap (GstTocEntry* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer

## Constructor & Destructor Documentation

Gst::TocEntry::TocEntry | ( |  | ) |
| protected

## Member Function Documentation

void Gst::TocEntry::append_sub_entry | ( | Glib::RefPtr< Gst::TocEntry > | entry | ) |

Appends the Gst::TocEntry subentry to entry.

Parameters

  subentry | A Gst::TocEntry.

TocEntryType Gst::TocEntry::get_entry_type | ( |  | ) |

Returns
  entry's entry type.

Glib::RefPtr<Gst::TocEntry> Gst::TocEntry::get_parent | ( |  | ) |

Gets the parent Gst::TocEntry of entry.

Returns
  The parent Gst::TocEntry of entry.

bool Gst::TocEntry::get_start_stop_times | ( | gint64 & | start,
|  | gint64 & | stop
| ) |  |

Get start and stop values from the entry and write them into appropriate storages.

Parameters

  start | The storage for the start value, leave #`0` if not need.
  stop | The storage for the stop value, leave #`0` if not need.

Returns
  `true` if all non-`0` storage pointers were filled with appropriate values, `false` otherwise.

bool Gst::TocEntry::get_start_stop_times | ( | gint64 & | start,
|  | gint64 & | stop
| ) |  | const

Get start and stop values from the entry and write them into appropriate storages.

Parameters

  start | The storage for the start value, leave #`0` if not need.
  stop | The storage for the stop value, leave #`0` if not need.

Returns
  `true` if all non-`0` storage pointers were filled with appropriate values, `false` otherwise.

Glib::ustring Gst::TocEntry::get_uid | ( |  | ) |

Gets the UID of entry.

Returns
  The UID of entry.

GstTocEntry* Gst::TocEntry::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GstTocEntry* Gst::TocEntry::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GstTocEntry* Gst::TocEntry::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gst::TocEntry::is_alternative | ( |  | ) |

Returns
  `true` if entry's type is an alternative type, otherwise `false`.

bool Gst::TocEntry::is_alternative | ( |  | ) | const

Returns
  `true` if entry's type is an alternative type, otherwise `false`.

bool Gst::TocEntry::is_sequence | ( |  | ) |

Returns
  `true` if entry's type is a sequence type, otherwise `false`.

bool Gst::TocEntry::is_sequence | ( |  | ) | const

Returns
  `true` if entry's type is a sequence type, otherwise `false`.

void Gst::TocEntry::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

void Gst::TocEntry::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gst::TocEntry::set_start_stop_times | ( | gint64 | start,
|  | gint64 | stop
| ) |  |

Set start and stop values for the entry.

Parameters

  start | Start value to set.
  stop | Stop value to set.

void Gst::TocEntry::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::TocEntry > wrap | ( | GstTocEntry * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/toc.h